package com.adealink.weparty.activity

import com.adealink.frame.spi.RegisterService
import com.adealink.weparty.App
import com.adealink.weparty.activity.datasource.remote.ActivityHttpService
import com.adealink.weparty.module.activity.IActivityService

@RegisterService(IActivityService::class)
class ActivityServiceImpl : IActivityService {

    private val activityHttpService by lazy {
        App.instance.networkService.getHttpService(ActivityHttpService::class.java)
    }


    override fun getService(): IActivityService {
        return this
    }

    override fun logout() {

    }

}